Class | Sequel::SQL::SQLArray
In: | lib/sequel/sql.rb
Parent: | Expression

Represents an SQL array. Added so it is possible to deal with a ruby array of all two pairs as an SQL array instead of an ordered hash-like conditions specifier.

### Methods

new

### External Aliases

array | -> | to_a

### Attributes

array | [R] | The array of objects this SQLArray wraps

### Public Class methods

new(array)

Create an object with the given array.

[Source]

         # File lib/sequel/sql.rb, line 810
    810:       def initialize(array)
    811:         @array = array
    812:       end

[Validate]